Debians sikkerhedsbulletin

DSA-1891-1 changetrack -- shell-kommandoudførelse

Rapporteret den:
22. sep 2009
Berørte pakker:
changetrack
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 546791.
I Mitres CVE-ordbog: CVE-2009-3233.
Yderligere oplysninger:

Marek Grzybowski opdagede at changetrack, et program til overvågning af ændringer af (opsætnings-)filer, var sårbart over for indspøjtning af shell-kommandoer gennem metategn i filnavne. Programmets virkemåde er ændret til at afvise alle filnavne med metategn.

I den gamle stabile distribution (etch), er dette problem rettet i version 4.3-3+etch1.

I den stabile distribution (lenny), er dette problem rettet i version 4.3-3+lenny1.

I distributionen testing (squeeze), vil dette problem snart blive rettet.

I den ustabile distribution (sid), er dette problem rettet i version 4.5-2.

Vi anbefaler at du opgraderer dine changetrack-pakker.

Rettet i:

Debian GNU/Linux 4.0 (etch)

Kildekode:
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3-3+etch1.diff.gz
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3-3+etch1.dsc
Arkitekturuafhængig komponent:
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3-3+etch1_all.deb

Debian GNU/Linux 5.0 (lenny)

Kildekode:
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3.orig.tar.gz
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3-3+lenny1.diff.gz
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3-3+lenny1.dsc
Arkitekturuafhængig komponent:
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3-3+lenny1_all.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.